Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx
Enum JXSearchField.SearchMode

    java.lang.Object
      java.lang.Enum<JXSearchField.SearchMode>
          org.jdesktop.swingx.JXSearchField.SearchMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JXSearchField.SearchMode>

Enclosing class:
  JXSearchField

    public static enum JXSearchField.SearchMode

extends java.lang.Enum<JXSearchField.SearchMode>

Defines when action events are posted.

Enum Constant Summary
`INSTANT` In INSTANT search mode, an action event is fired, when the user presses enter or changes the search text.
`REGULAR` In REGULAR search mode, an action event is fired, when the user presses enter or clicks the find button.

Method Summary
`static JXSearchField.SearchMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JXSearchField.SearchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REGULAR

    public static final JXSearchField.SearchMode REGULAR

  In REGULAR search mode, an action event is fired, when the user presses enter or clicks the find button.

  However, if a find popup menu is set and layout style is `JXSearchField.LayoutStyle.MAC`, no action will be fired, when the find button is clicked, because instead the popup menu is shown. A search can therefore only be triggered, by pressing the enter key.

  The find button can have a rollover and a pressed icon, defined by the "SearchField.rolloverIcon" and "SearchField.pressedIcon" UI properties. When a find popup menu is set, "SearchField.popupRolloverIcon" and "SearchField.popupPressedIcon" are used.

### INSTANT

    public static final JXSearchField.SearchMode INSTANT

  In INSTANT search mode, an action event is fired, when the user presses enter or changes the search text. The action event is delayed about the number of milliseconds specified by `JXSearchField.getInstantSearchDelay()`. No rollover and pressed icon is used for the find button.

Method Detail

### values

    public static JXSearchField.SearchMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JXSearchField.SearchMode c : JXSearchField.SearchMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JXSearchField.SearchMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.